Debian Bug report logs - #473842
nfsboot: recommends packages not in main

version graph

Package: nfsboot; Maintainer for nfsboot is (unknown);

Reported by: Amaya <amaya@debian.org>

Date: Tue, 1 Apr 2008 22:27:03 UTC

Severity: important

Tags: patch

Found in version nfsboot/0.0.14

Done: Ola Lundqvist <ola@inguza.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#473842; Package nfsboot. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: nfsboot: recommends packages not in main
Date: Wed, 2 Apr 2008 00:03:10 +0200
[Message part 1 (text/plain, inline)]
Package: nfsboot
Version: 0.0.14
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

I intend to *lovingly* NMU nfsboot, as part of my effort to 
accomplish the following Release Goal for Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
to this, and then upload upload to DELAYED/7 in order to give you plenty of
time for reaction.

You will find that my changes are minimal and address only this issue, unless
other release goal can be dealt with in the same upload.

Attached is the diff for my nfsboot 0.0.14+nmu1 NMU.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux
[nfsboot-0.0.14+nmu1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#473842; Package nfsboot. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #10 received at 473842@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Mark Brown <broonie@debian.org>
Cc: 473832@bugs.debian.org, 473839@bugs.debian.org, 473836@bugs.debian.org, 473835@bugs.debian.org, 473844@bugs.debian.org, 473842@bugs.debian.org, 473834@bugs.debian.org, 473833@bugs.debian.org, 473829@bugs.debian.org, 473831@bugs.debian.org
Subject: Re: Bug#473832: clc-intercal: recommends packages not in main
Date: Wed, 2 Apr 2008 01:37:35 +0200
Hey Mark!

First of all, thanks for your fast upload. You too, Mr Marillat!

Mark Brown wrote:
>  - File the actual bug, not your intention to NMU (ie, include the bug
>    report in the body of the bug rather than burying it in the patch).

Yes you are very right. I will change my wording.

>  - Provide some way for people to get information about this like
>    putting a list of affected packages on a web page and announcing it.
>    This would help avoid the need for an NMU campaign in the first
>    place.

That is work in progress. I am working on a wiki page, it will be ready
tomorrow. So far, I can only point you to:
    http://release.debian.org/lenny/goals.txt
    http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=debian-release@lists.debian.org&tag=goal-recommends
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    http://lists.debian.org/debian-qa/2008/04/msg00007.html (and
    answers).

The wiki page will group all this already available information so that
this is easier to track for everyone.

This is not an NMU campaign. I will definitely change the wording.
My original intention was to submit bug+patch, as agreed with Luk:
    <luk> amaya:
    http://qa.debian.org/debcheck.php?dist=sid&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in unstable) and
    http://qa.debian.org/debcheck.php?dist=lenny&list=main%2donly%2drelationship%2dRecommends&arch=EVERY
    (the ones in testing)
    <amaya> luk: so what to do about these? should I file bugs?
    <luk> yes, file with the appropriate version if not already
    reported at least for the sid ones, identifying the lenny ones that
    are fixed in sid for extra bonus points :-)
    <amaya> luk: i see a lot of those will be fixed when my nmus leave
    the delayed queue
    <luk> great
    <amaya> luk: I will take a look and file appropriate bugs with
    patches, and nmu threats ;)
    <luk> even better!

I think we were both joking about nmus there. Sorry about the tone of my
bug report. I am Cc:ing the rest of maintainers that got this tasteless
report, so that they also forgive me.

> My first reponse to this was "WTF?  I only uploaded this yesterday and
> there weren't any bugs.", especially given that the report jumped right
> to "I'm about to NMU", skipping over what the actual problem was.

Well, no. I clearly said I would wait for two weeks for your response.
And *then* 7 more days in DELAYED. Mainly because some recommends have
become obsolete and I am not sure about the right replacements. I am
seeking actual advice, input, wisdom, from maintainers here :)

But you are right. I am sorry it came accross this way.

Thanks for your help! 

-- 
  ·''`.        Gay scientists discover the Christian gene
 : :' :            
 `. `'            
   `-        Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#473842; Package nfsboot. Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #15 received at 473842@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Amaya <amaya@debian.org>, 473842@bugs.debian.org
Subject: Re: Bug#473842: nfsboot: recommends packages not in main
Date: Fri, 4 Apr 2008 08:23:29 +0200
Hi Amaya

Thanks for the patch and the help to upload. However I catched some
time today so I have uploaded it.

Best regards,

// Ola

On Wed, Apr 02, 2008 at 12:03:10AM +0200, Amaya wrote:
> Package: nfsboot
> Version: 0.0.14
> Severity: important
> User: debian-release@lists.debian.org
> Usertags: goal-recommends
> Tags: patch
> 
> Hi,
> 
> I intend to *lovingly* NMU nfsboot, as part of my effort to 
> accomplish the following Release Goal for Lenny:
> 
>   # No unmet recommends relations inside main
>   Advocate: Luk Claes
>   Description: Packages in main should be able to satisfy all recommend
>                relations in main.
>   Bug-User: debian-release@lists.debian.org
>   Bug-Tag: goal-recommends
> 
> Even though 0-day NMUs are allowed, I will wait for two weeks for your answer
> to this, and then upload upload to DELAYED/7 in order to give you plenty of
> time for reaction.
> 
> You will find that my changes are minimal and address only this issue, unless
> other release goal can be dealt with in the same upload.
> 
> Attached is the diff for my nfsboot 0.0.14+nmu1 NMU.
> 
> Thanks for your contribution to debian, and... Happy hacking!
> 
> 
> -- 
>   ·''`.        Gay scientists discover the Christian gene
>  : :' :            
>  `. `'            
>    `-        Proudly running (unstable) Debian GNU/Linux



-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@inguza.com                      654 65 KARLSTAD          |
|  http://inguza.com/                  +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#473842; Package nfsboot. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #20 received at 473842@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Ola Lundqvist <opal@debian.org>
Cc: 473842@bugs.debian.org
Subject: Re: Bug#473842: nfsboot: recommends packages not in main
Date: Fri, 4 Apr 2008 10:57:43 +0200
Hi, Ola!

Ola Lundqvist wrote:
> Thanks for the patch and the help to upload. However I catched some
> time today so I have uploaded it.

Excellent! Thank you very much!

-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux




Reply sent to ola@inguza.com:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 473842-done@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <ola@inguza.com>
To: Mark Brown <broonie@debian.org>
Cc: control@bugs.debian.org, 473842-done@bugs.debian.org
Subject: Re: Bug#473832: marked as done (clc-intercal: recommends packages not in main)
Date: Fri, 4 Apr 2008 11:57:12 +0200
reopen 473832
thanks

Version: 0.0.15

Hi Mark

Doh! I closed the wrong bug. Fixing this now. The bug numbers were too similar.

// Ola

On Fri, Apr 04, 2008 at 09:40:14AM +0100, Mark Brown wrote:
> On Fri, Apr 04, 2008 at 07:06:08AM +0000, Debian Bug Tracking System wrote:
> 
> > regarding clc-intercal: recommends packages not in main
> 
> ...
> 
> >  nfsboot (0.0.15) unstable; urgency=low
> >  .
> >    * Changed dependencies so that dhcp3-client is recommended. Thanks to
> >      Amaya Rodrigo Sastre <amaya@debian.org> for the suggestion. Closes:
> >      #473832.
> 
> Don't think you meant to do that...
> 
> -- 
> "You grabbed my hand and we fell into it, like a daydream - or a fever."
> 

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  ola@inguza.com                    Annebergsslingan 37        \
|  opal@debian.org                   654 65 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------




Message #26 received at 473842-done@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Ola Lundqvist <ola@inguza.com>
Cc: control@bugs.debian.org, 473842-done@bugs.debian.org
Subject: Re: Bug#473832: marked as done (clc-intercal: recommends packages not in main)
Date: Fri, 4 Apr 2008 11:06:39 +0100
close 473832
kthxbye

On Fri, Apr 04, 2008 at 11:57:12AM +0200, Ola Lundqvist wrote:
> reopen 473832
> thanks


> Doh! I closed the wrong bug. Fixing this now. The bug numbers were too similar.

I assume your reopening of the clc-intercal bug was an oversight...

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 May 2008 07:45:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:55:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.